Slide Show

One of JPEGViewÕs more powerful features is its ability to display an entire folderÕs worth of images in a slide show.  Unfortunately, everybody seems to want their slide show to operate differently than everyone elseÕs, which is the reason why JPEGView presents you with so many options when you bring up the Slide Show Options (via the File menu or the I key combination).  Fortunately, though, you never need to mess with most of them!


Slide shows for beginners

The concept of a slide show is simple: first, you need to choose a group of images to view; and second, you need to decide who controls the JPEGView projector.  In regard to the first decision, JPEGView allows you to choose one of two possible sources for your images: either from memory or from disk.  The simplest way to see a slide show is to open up several images in JPEGView and choose ÒImages from MemoryÓ from the pop-up menu on the right-hand side of the Slide Show Options dialog.  This tells JPEGView that it should choose its slides from among those that youÕve opened.

Your other option is to instruct JPEGView to choose from image files that reside on your disk.  Running in this mode of operation requires an extra step, in addition to choosing ÒImages from DiskÓ from the rightmost pop-up menu.  Inside the box governed by this pop-up menu is a large button which reads ÒSelect Slide Show FolderÓ.  Clicking on this button will bring up a dialog box which will allow you to select a folder; its operation is pretty self-explanatory.  Once a folder has been selected, its full path will be displayed below the button.

An alternative Ñ and simpler Ñ method of selecting the slide show folder is available if your system is drag-aware (running System 7.5 or an earlier System 7 release with the Macintosh Drag and Drop extension and Finder 7.1.2 or later).  Rather than navigating through a dialog to choose the slide show folder, you can simply drag any folder or alias from the Finder into the Slide Show Options window.  As you do this, the window will become highlighted, and when you release the mouse button, the folder will change to the one you dragged in.

After choosing the source of the slide show images, you must then decide who retains control of the switching between slides, either you or JPEGView.  The pop-up menu on the left-hand side of the Slide Show Options dialog allows you to control this aspect of the slide show.  Choosing ÒUser-controlledÓ from the pop-up menu tells JPEGView to wait for you to explicitly command it before proceeding on to the next slide.

Your other choice is to give JPEGView complete control of things, by selecting ÒAutomaticÓ from the leftmost pop-up menu.  Doing this enables the two items in the box below the pop-up menu, allowing you to specify the minimum time interval between successive slides.  Use the newly-enabled pop-up menu to choose the units Ñ either seconds, minutes, or hours (?!) Ñ and type the appropriate number in the box to its left.

Once youÕve selected these basic options, youÕre ready to proceed.  Click the ÒBeginÓ button to start up the slide show immediately, or simply close the window to save your changes but postpone the beginning for later.  If, for some reason, the ÒBeginÓ button is dimmed, it means that JPEGView can no longer find the folder you selected; to remedy the situation, either choose another folder or insert the disk that the folder resided on.  The other button, ÒRevertÓ, restores the settings to what they originally were when you first opened the Slide Show Options dialog.

Finally, the slide show can be initiated directly from the File menu by choosing Begin Slide Show, or by typing I while holding down the Shift key.  This causes the slide show to be run with the last settings you chose in the options dialog.


Help!  WhatÕs going on?!

Once begun, JPEGViewÕs slide show proceeds inexorably forward until you manage to stop it (or, optionally, until it finishes cycling through all the images).  As each image is displayed, the next image is prepared in the background.  Because this preparation can sometimes take longer than the automatic slide show delay, it is useful to know whether JPEGView is still preparing the next image or just waiting for the delay to pass.

While it is busy preparing the next image for display, JPEGView provides three indicators that you can use to tell that it is busy.  The first is the familiar spinning busy cursor, visible at all times in user-controlled slide shows, or visible by moving the mouse in automatic slide shows.  In addition, JPEGView displays a small white progress dot in the upper-right corner of the screen where the images are displayed.  As things progress, the little dot rotates around to indicate that everything is still chugging away.

The third indicator is provided in the status line of the Slide Show Controls floating window, if it is currently visible on the screen.  If it isnÕt immediately visible when the slide show begins, simply click the mouse button anywhere outside of a floating window to make it appear.  A second click will make it disappear again, clearing it out of the way of any image displayed underneath the controls.  You can control whether the controls window is visible through an option in the Slide Show Options dialog; see below for more details.

The status line of the Slide Show Controls floating window serves as a running commentary of JPEGViewÕs current operations.  Here is what you can expect to see on this line:
    ¥ Loading: file.  JPEGView is reading the file named file from disk.
    ¥ Reducing: image.  JPEGView is performing two-pass color reduction on image.
    ¥ Rendering: image.  JPEGView is currently drawing image offscreen.
    ¥ Drawing: image.  JPEGView is drawing image onscreen.
    ¥ Ready.  JPEGView has finished its preparations for the next image and is waiting for you to manually advance (user-controlled slide show only).
    ¥ Delaying... seconds.  JPEGView has finished its preparations for the next image and is killing time before displaying it, with seconds seconds remaining (automatic slide show only).
    ¥ Paused.  The slide show is currently paused.


Let me off this crazy thing!

As JPEGViewÕs slide show progresses, you have the opportunity to control its progress, either through the push-button controls available in the Slide Show Controls floating window, or through keyboard shortcuts provided to mimic these controls.  Currently, there are four push-button controls available: forward, reverse, stop, and pause.  Exactly what happens when you activate any one of these controls is described below.

Forward.  This button is generally used to advance the slide show forward by one slide whenever JPEGView has finished preparing the next slide (that is, when the status line is displaying either ÒReadyÓ or ÒDelaying...Ó).  If you press this button while JPEGView is still busy, it will activate and stay depressed until JPEGView is finished with the next slide, at which point it will advance to it immediately.  To make matters simple, just think of the forward button as meaning Òadvance to the next slide as soon as youÕre ready.Ó

To perform this operation from the keyboard, or when the Slide Show Controls are not visible, simply hit any key other than those that are reserved for the other functions below.  The space bar, right arrow, and Enter keys are popular choices. 

Reverse.  Use this button to back up one slide in the slide show, relative to the slide that is currently displayed on the screen.  Note that the reverse function may be disabled if the first slide in the list is being displayed (since there is nowhere to back up to!)  You can also use the left arrow key on the keyboard to back up in the same way.

Stop.  Click this button to stop the slide show immediately, leaving the last image displayed on screen.  When you do this, the Slide Show Controls floating window will disappear, and any previously visible floating windows will be shown again.  The keyboard equivalents for this function are the Escape key (esc) or . (that is, type the Ò.Ó (period) key while holding down the  key). 

Pause.  Use this button if you want to temporarily pause the slide show.  When first activated, the Slide Show Controls floating window is automatically made visible, and the menu bar is displayed.  You can then switch to other applications, end the slide show, modify some (not all) of the slide show options, or do whatever else you care to do before resuming the slide show.  When you switch back to JPEGView, simply click the depressed pause button again to resume the slide show where you left off.  Note that JPEGView may need to reload and reprocess the next image, depending on exactly where you interrupted processing.

JPEGView also supports an extension to the paused slide show which allows you to not only pause but also hide all traces of the slide show.  If you hold down the Option key as you click the pause button, JPEGView will automatically hide all of its slide show windows and send itself into the background.  To resume after this happens, simply bring JPEGView back to the front by selecting it from the application menu on the far right side of the menubar.  JPEGView will make its windows visible again, and you will be back in standard pause mode; clicking on the pause button will resume where you left off.

To pause the slide show from the keyboard, you can use the up arrow key.  Hiding and pausing the slide show can be accomplished by holding down the Option key as you type the up-arrow.

Finally, please note that the response to your commands Ñ both mouse-based and keyboard-based Ñ will very often not be immediate, so give JPEGView a couple seconds before getting violent.


Playing with the options

Unless you tell it otherwise, JPEGView takes all your selected slides, mixes them up in a random order, and then displays them over and over again until you interrupt the slide show.  However, using JPEGViewÕs Slide Show Options dialog, you can customize the operation of the slide show to suit your own purposes.  Below is a list of all the available options, along with a description of what each optionÕs effects are.

Display in random order (default setting is on).  Turning this option on tells JPEGView that you would like to see the slides in a completely random order, rather than in their natural order.  Turning it off leaves the slides in their natural order.  For a memory-based slide show, the natural order is the order you see the files in the Windows menu; for a disk-based slide show, this natural order is the order they were found on disk, usually alphabetical within each folder.

Repeat indefinitely (default setting is on).  Checking the box next to this item will cause JPEGView to cycle through the slide show until interrupted by the user.  If the ÒDisplay in random orderÓ checkbox is also checked, the slides will be randomly reordered before each cycle.  If this box is left unchecked, JPEGView will end the slide show after a single cycle and display an alert telling you it has finished.

Ignore any minor errors (default setting is on).  With this box checked, JPEGView will quietly ignore any minor errors that occur when loading slide show images.  ÒMinorÓ errors include corrupt image warnings, low memory conditions, and the like.  It is possible that leaving this option on can cause some images not to be displayed during a slide show; if this is the case, you should turn this option off and see which errors are causing the problem.

Hide floating windows (default setting is on).  Turning this option on automatically hides any visible floating windows for the duration of the slide show.  Otherwise, the floating windows will remain visible, floating above the images as they are displayed.  Note that floating windows enjoy special status during a slide show: they can be shown, hidden, and moved about without interrupting the slide show or proceeding onto the next slide.  To toggle the visibility of a floating window, simply use the appropriate -key shortcut; to drag a floating window, just drag it as usual, but note that this will only work when the cursor is a standard arrow shape!

Hide slide show controls (default setting is off).  Use this option to control whether the Slide Show Controls floating window is displayed at the start of the slide show.  If this box if checked, no window is displayed; however, access to the window is still enabled through mouse clicks during the slide show.  Leaving this box unchecked displays the Controls floating window immediately when the slide show begins.

Automatically show comments (default setting is off).  Checking this option gives control over the visibility of the Comments floating window to JPEGView, meaning that it will automatically appear whenever comments are found for the current image.  If this option is left off, the Comments floating window remains under user control.

Display filenames (default setting is on).  Turning this option on displays the name of each image file in the lower right-hand corner of the image.  If there is enough room either below the image or to the side of the image, the name is displayed there; otherwise, the file name obscures the corner of the image.  With this option off, there will be no indication of which file is currently displayed.


Options for disk-based slide shows

The following options are only meaningful for slide shows based on disk images.  If you have selected a slide show from memory, these options will all be unavailable.

Scan subfolders recursively (default setting is off).  If you check this option, then JPEGView will not only display all the files in the folder youÕve selected, but will also scan any folders contained inside the selected folder, as well as folders within those folders, etc.  In fact, you could even select the Desktop with this option checked, and JPEGView would happily scan all the folders on all mounted drives for images.  (I donÕt really advise this, however!)  Turning this option off means that the search is limited to files within the selected folder only.

Import unrecognized files (default setting is off).  Checking this option causes JPEGView to add to its list of slide show images any files it finds in the selected folder, no matter what type of file the Finder says it is.  As with the Import feature in the File menu, this is for the most part only useful to those with CD-ROM drives that have lots of incorrectly typed files.  Leave this option off if you want to only open images whose file types are correct.

Decompress offscreen (default setting is on).  With this box checked, JPEGView attempts to completely process the next image offscreen Ñ including both color reduction and drawing Ñ  before removing the current image.  The success of this option is highly dependent on how free memory you have in your system.  If there is not enough memory to draw the next image offscreen, it will have to be decompressed and drawn onscreen, meaning that more free memory will give you smoother transitions between slides.  If you leave this option off, JPEGView will decompress and draw every image onscreen (though color reduction is always done offscreen during a slide show).